Bug 248155 - installonlyn broken with new kernel naming
Summary: installonlyn broken with new kernel naming
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-13 14:23 UTC by darrell pfeifer
Modified: 2014-01-21 22:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-16 19:04:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description darrell pfeifer 2007-07-13 14:23:14 UTC
Description of problem:

The yum install log shows

Jul 11 05:41:15 Installed: kernel.i686 2.6.22-8.fc8
Jul 12 11:07:55 Installed: kernel.i686 2.6.23-0.14.rc0.git1.fc8
Jul 13 06:53:06 Installed: kernel.i686 2.6.23-0.15.rc0.git1.fc8

but in /boot the kernels are

-rw-r--r-- 1 root root 1999156 2007-07-10 14:33 vmlinuz-2.6.22-8.fc8
-rw-r--r-- 1 root root 2002356 2007-07-11 21:50 vmlinuz-2.6.23-0.15.rc0.git1.fc8

The last two kernels were 23-0.14 and 23-0.15 but the 22-8 kernel was kept and
the 23-0.14 was removed.

Version-Release number of selected component (if applicable):

yum-3.2.1-1.fc8


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jeremy Katz 2007-07-16 18:49:41 UTC
Were you still running 2.6.22-8?  We won't remove the running kernel

Comment 2 darrell pfeifer 2007-07-16 19:04:46 UTC
Doh! Yes, that makes sense. When 23-0.15 was broken I probably booted into
2.6.22-8 accidentally. I think that one may have shown up in the grub list first.

We've been blessed with relatively stable/working kernels during the release
cycle so I guess I'm a bit rusty. Will close this.


Note You need to log in before you can comment on or make changes to this bug.